<?php

declare(strict_types=1);

namespace App\Http\Controllers;

use App\Domain\Media\AttachmentStorageService;
use Illuminate\Http\Request;

class AttachmentController extends Controller
{
    public function __construct(
        protected AttachmentStorageService $attachments,
    ) {}

    public function byId(Request $request)
    {
        $id = $request->integer('id');

        return $this->attachments->resolveRedirectResponseById($id, $request->ip());
    }

    public function byPath(string $path)
    {
        return $this->attachments->resolveRedirectResponseByLegacyPath($path, request()->ip());
    }
}
